std::error_condition::operator=(3)

NAME
std::error_condition::operator= - std::error_condition::operator=

Synopsis
   error_condition& operator=( const error_condition& other ) (1) (since C++11)
   noexcept; (implicitly declared)
   template< class ErrorConditionEnum >
   error_condition& operator=( ErrorConditionEnum e ) (2) (since C++11)
   noexcept;
   Assigns contents to an error condition.
   1) Copy assignment operator. Assigns the contents of other.
   2) Assigns error condition for enum e. Effectively calls make_error_condition found
   by argument-dependent lookup for e. This overload participates in overload
   resolution only if std::is_error_condition_enum<ErrorConditionEnum>::value is true.

Parameters
   other - another error condition to initialize with
   e - error condition enum

Notes
   The ADL-found make_error_condition is intended to be used in the original proposal
   N2422, and used by all known implementations. However, the standard requires that
   only std::make_error_condition overloads are considered. This is LWG issue 3629.

Return value
   *this.